package entity

import (
	"code.30cm.net/digimon/app-cloudep-product-service/pkg/domain/product"
	"go.mongodb.org/mongo-driver/bson/primitive"
)

type ProductTags struct {
	ID        primitive.ObjectID `bson:"_id,omitempty"` // 專案 ID
	Types     product.ItemType   `bson:"types"`         // Tag 類型
	Name      string             `bson:"name"`
	ShowType  product.ShowType   `bson:"show_type"`                    // 顯示筐
	Cover     *string            `bson:"cover,omitempty"`              // 封面圖片
	UpdatedAt int64              `bson:"updated_at" json:"updated_at"` // 更新時間
	CreatedAt int64              `bson:"created_at" json:"created_at"` // 創建時間
}
